<script setup>
import {UseAppStore} from "@/Stores/AppStore";
import Header from "@/Components/Header.vue";
import MobileBack from "@/Components/Layouts/MobileBack.vue";
import LeftSidebar from "@/Components/LeftSidebar.vue";
import MarketTop from "@/Components/Layouts/MarketTop.vue";
const AppStore = UseAppStore();
import Footer from "@/Components/Footer.vue";
import FooterMobile from "@/Components/FooterMobile.vue";
import Modals from '@/Components/Modals.vue';
import {provide} from "vue";

const props = defineProps({
    marketTopLeftTitle:String
})

provide('marketTopLeftTitle',props.marketTopLeftTitle)
</script>

<template>
    <body :class="AppStore.themeSite">
    <Header/>
    <main class="main">
        <MarketTop />
        <MobileBack/>
        <section class="marketBottom">
            <div class="container">
                <div class="marketBottom__inner">
                    <LeftSidebar/>
                   <slot/>
                </div>
            </div>
        </section>
    </main>
    <Footer/>
    <FooterMobile/>
    <Modals/>
    </body>
</template>
